summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2015-10-11 11:26:48 +0200
committerMartin Väth <martin@mvath.de>2015-10-11 11:32:18 +0200
commit109d6b4f673a249aea4deeb0cdb5b54a21592410 (patch)
treeec3589a50dac5be54ef6248d1e0ff3a9fd3b41b4 /app-portage
downloadmv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.gz
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.tar.bz2
mv-109d6b4f673a249aea4deeb0cdb5b54a21592410.zip
Clear history for egencache --repo=mv --update-changelogs
Diffstat (limited to 'app-portage')
-rw-r--r--app-portage/eix/eix-99999999.ebuild78
-rw-r--r--app-portage/eix/metadata.xml33
-rw-r--r--app-portage/find_cruft/Manifest1
-rw-r--r--app-portage/find_cruft/find_cruft-3.0.7.ebuild40
-rw-r--r--app-portage/find_cruft/metadata.xml16
-rw-r--r--app-portage/getdelta/Manifest1
-rw-r--r--app-portage/getdelta/files/eapi2.patch315
-rw-r--r--app-portage/getdelta/getdelta-0.7.9-r2.ebuild46
-rw-r--r--app-portage/getdelta/metadata.xml17
-rw-r--r--app-portage/logclean/Manifest1
-rw-r--r--app-portage/logclean/logclean-9.8-r1.ebuild39
-rw-r--r--app-portage/logclean/metadata.xml16
-rw-r--r--app-portage/portage-bashrc-mv/Manifest1
-rw-r--r--app-portage/portage-bashrc-mv/metadata.xml16
-rw-r--r--app-portage/portage-bashrc-mv/portage-bashrc-mv-13.6.ebuild45
-rw-r--r--app-portage/trickyfetch/Manifest1
-rw-r--r--app-portage/trickyfetch/metadata.xml16
-rw-r--r--app-portage/trickyfetch/trickyfetch-8.7.ebuild45
-rw-r--r--app-portage/useflags/Manifest1
-rw-r--r--app-portage/useflags/metadata.xml16
-rw-r--r--app-portage/useflags/useflags-3.4.ebuild37
-rw-r--r--app-portage/world-mv/Manifest1
-rw-r--r--app-portage/world-mv/metadata.xml16
-rw-r--r--app-portage/world-mv/world-mv-3.14.ebuild37
24 files changed, 835 insertions, 0 deletions
diff --git a/app-portage/eix/eix-99999999.ebuild b/app-portage/eix/eix-99999999.ebuild
new file mode 100644
index 00000000..ef6af13f
--- /dev/null
+++ b/app-portage/eix/eix-99999999.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGIT_REPO_URI="git://github.com/vaeth/${PN}.git"
+WANT_LIBTOOL=none
+PLOCALES="de ru"
+inherit autotools bash-completion-r1 eutils git-r3 l10n
+
+DESCRIPTION="Search and query ebuilds, portage incl. local settings, ext. overlays, version changes, and more"
+HOMEPAGE="https://github.com/vaeth/eix/"
+SRC_URI=""
+PROPERTIES="live"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug +dep doc nls optimization security strong-optimization strong-security sqlite swap-remote tools"
+
+BOTHDEPEND="sqlite? ( >=dev-db/sqlite-3 )
+ nls? ( virtual/libintl )"
+RDEPEND="${BOTHDEPEND}
+ app-shells/push"
+DEPEND="${BOTHDEPEND}
+ >=sys-devel/gettext-0.19.6"
+
+pkg_setup() {
+ case " ${REPLACING_VERSIONS}" in
+ *\ 0.[0-9].*|*\ 0.1[0-9].*|*\ 0.2[0-4].*|*\ 0.25.0*)
+ local eixcache="${EROOT}/var/cache/${PN}"
+ test -f "${eixcache}" && rm -f -- "${eixcache}";;
+ esac
+}
+
+src_prepare() {
+ sed -i -e "s'/'${EPREFIX}/'" -- "${S}"/tmpfiles.d/eix.conf
+ epatch_user
+ eautopoint
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_with sqlite) $(use_with doc extra-doc) \
+ $(use_enable nls) $(use_enable tools separate-tools) \
+ $(use_enable security) $(use_enable optimization) \
+ $(use_enable strong-security) \
+ $(use_enable strong-optimization) $(use_enable debug debugging) \
+ $(use_enable swap-remote) \
+ $(use_with prefix always-accept-keywords) \
+ $(use_with dep dep-default) \
+ --with-zsh-completion \
+ --with-portage-rootpath="${ROOTPATH}" \
+ --with-eprefix-default="${EPREFIX}" \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}" \
+ --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+}
+
+src_install() {
+ default
+ dobashcomp bash/eix
+ insinto "/usr/lib/tmpfiles.d"
+ doins tmpfiles.d/eix.conf
+}
+
+pkg_postinst() {
+ test -d "${EROOT}var/cache/${PN}" || {
+ mkdir "${EROOT}var/cache/${PN}"
+ use prefix || chown portage:portage "${EROOT}var/cache/${PN}"
+ }
+ local obs="${EROOT}var/cache/eix.previous"
+ ! test -f "${obs}" || ewarn "Found obsolete ${obs}, please remove it"
+}
+
+pkg_postrm() {
+ [ -n "${REPLACED_BY_VERSION}" ] || rm -rf -- "${EROOT}var/cache/${PN}"
+}
diff --git a/app-portage/eix/metadata.xml b/app-portage/eix/metadata.xml
new file mode 100644
index 00000000..d1e91558
--- /dev/null
+++ b/app-portage/eix/metadata.xml
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ <description>Upstream developer, assign bugs</description>
+ </maintainer>
+ <maintainer>
+ <email>axs@gentoo.org</email>
+ <description>Proxy committer, CC bugs</description>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <bugs-to>https://github.com/vaeth/eix/issues/</bugs-to>
+ <remote-id type="github">vaeth/eix</remote-id>
+ </upstream>
+ <use>
+ <flag name="debug">Build with upstream's CXXFLAGS/LDFLAGS for debugging support; not recommended for normal use.</flag>
+ <flag name="dep">Make DEP=true the default which enables support for {,R,P}DEPEND but requires roughly double disk and memory.</flag>
+ <flag name="doc">Create description of the eix cache file additionally in html format</flag>
+ <flag name="optimization">Accept upstream's choices for CXXFLAGS/LDFLAGS for optimization. Absense of this USE flag does not strip user's *FLAGS</flag>
+ <flag name="security">This adds some checks which can prevent certain exploits if e.g. the eix code has a bug. If you use the hardened toolchain, using this flag does not increase security and can even lead to problems.</flag>
+ <flag name="strong-optimization">Adds several more agressive CXXFLAGS/LDFLAGS for optimization like graphite (if available). May cause trouble with some buggy compiler versions. Absense of this USE flag does not strip user's *FLAGS</flag>
+ <flag name="strong-security">Add many checks to prevent exploits if eix code has a bug. This will slow down eix considerably. Use only if you are paranoid or have reasons to suspect a bug.</flag>
+ <flag name="sqlite">Compile in support for portage's sqlite backend; to actually use it you need additional configuration of portage and eix</flag>
+ <flag name="swap-remote">Swap role of remote addresses in eix-remote, making the data from gpo.zugaina.org the first choice.</flag>
+ <flag name="tools">Create separate binary for script helper tools; useful if they are called extremely often</flag>
+ </use>
+</pkgmetadata>
diff --git a/app-portage/find_cruft/Manifest b/app-portage/find_cruft/Manifest
new file mode 100644
index 00000000..51a7fc3b
--- /dev/null
+++ b/app-portage/find_cruft/Manifest
@@ -0,0 +1 @@
+DIST find_cruft-3.0.7.tar.gz 10212 SHA256 d9acce43a8f0b7869c89c954117ae4590233e8f0aa824144e070ca02cab92efb SHA512 74852373901cb8f2c122b59d98f07f1d56fc3fea84433be65bc1d9cd602ca0444554bd407d10b2e8dc04836c5112866c43806cabe109dd62b577276a4c3f9103 WHIRLPOOL 29275a95130d9aff8a063b7047f556986f72c2004f12c5b013db7d230d66634eabee17b7358b26f1be42325e9ffa4e1bd289344896c60c0afae31b684e96f39c
diff --git a/app-portage/find_cruft/find_cruft-3.0.7.ebuild b/app-portage/find_cruft/find_cruft-3.0.7.ebuild
new file mode 100644
index 00000000..6d7ca106
--- /dev/null
+++ b/app-portage/find_cruft/find_cruft-3.0.7.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+RESTRICT="mirror"
+inherit eutils
+
+DESCRIPTION="find cruft files not managed by portage"
+HOMEPAGE="https://github.com/vaeth/find_cruft/"
+SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-lang/perl-5.12"
+# || ( >=dev-lang/perl-5.9.4 >=virtual/perl-File-Spec-3.0 )
+# || ( >=dev-lang/perl-5.6.1 >=virtual/perl-Getopt-Long-2.24 )
+
+src_prepare() {
+ use prefix || sed -i \
+ -e '1s"^#!/usr/bin/env perl$"#!'"${EPREFIX}/usr/bin/perl"'"' \
+ -- bin/* || die
+ epatch_user
+}
+
+src_install() {
+ dobin bin/*
+ dodoc README
+ insinto /etc
+ doins -r etc/*
+ insinto /usr/share/zsh/site-functions
+ doins zsh/_*
+}
+
+pkg_postinst() {
+ optfeature "faster execution" 'app-portage/eix'
+}
diff --git a/app-portage/find_cruft/metadata.xml b/app-portage/find_cruft/metadata.xml
new file mode 100644
index 00000000..d66620e7
--- /dev/null
+++ b/app-portage/find_cruft/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <bugs-to>mailto:martin@mvath.de</bugs-to>
+ <remote-id type="github">vaeth/find_cruft</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-portage/getdelta/Manifest b/app-portage/getdelta/Manifest
new file mode 100644
index 00000000..df88baf5
--- /dev/null
+++ b/app-portage/getdelta/Manifest
@@ -0,0 +1 @@
+DIST getdelta-0.7.8.tar.bz2 10335 SHA256 72bd5dac59e86a5c78217a15e3198df513152dc784a8685b1a8c2c5efdb34217 SHA512 66374ce1a0ec5492d11478ddcaeb67b497a44357605f3cd1b9176796ca9f69d8c6865f9db188a6d7722c4ab372a5a317dfa6fafe97d9f08f76f332469f1ee2b2 WHIRLPOOL 88e6f1df59e4897c3c667634b8d08c0a225daad56f627793074947b8f2bd3840b9108e50e0506fe49ca2ab43179d43c902f3da49a994b1886b855bb3cc65f395
diff --git a/app-portage/getdelta/files/eapi2.patch b/app-portage/getdelta/files/eapi2.patch
new file mode 100644
index 00000000..5a8ce304
--- /dev/null
+++ b/app-portage/getdelta/files/eapi2.patch
@@ -0,0 +1,315 @@
+--- 1/getdelta.sh
++++ 1/getdelta.sh
+@@ -25,6 +25,17 @@
+ VERSION="0.7"
+
+ # Changelog
++# Changes since 2008 are by Martin V\"ath <martin@mvath.de>
++# version 0.7.12 2010/09/27
++# - Improve treatment of fetch errors
++# version 0.7.11 2010/09/14
++# - Support alternative location of make.global and
++# both locations of make.conf
++# version 0.7.10 2010/08/27
++# - Use alternative to "deltup-queued" file
++# version 0.7.9 2008/10/08
++# - add second parameter for destination name (EAPI=2)
++# - quote more carefully
+ # version 0.7.8 2007/07/13
+ # - added option -O to call of emerge when finding mirrors
+ # - replaced some calls of coreutils with bash-internals
+@@ -292,6 +303,12 @@
+ echo $vser
+ }
+
++GotFile() {
++ [ -n "${1}" ] && test -s "${1}" && {
++ [ "$(head -c5 -- "${1}")" = "sorry" ] || \
++ [ "$(file -bi -- "${1}" | cut -d"/" -f1)" = "application" ]
++ }
++}
+
+ # some colors for colored output
+ output() {
+@@ -326,13 +343,13 @@
+
+ remove() {
+ output "${GREEN}You have chosen to remove ${CYAN}$1\n"
+- pushd ${DISTDIR} >/dev/null 2>&1
++ pushd -- "${DISTDIR}" >/dev/null 2>&1
+ removeme=true
+ for n in $(grep -v "^#" ${DO_NOT_REMOVE})
+ do
+ grep -q $n <<< "$1" && removeme=false && output "${CYAN}${1}${RED} is not deleted, since it matches ${n} in ${DO_NOT_REMOVE}"
+ done
+- $removeme && rm -f $1
++ $removeme && rm -f -- "$1"
+ popd >/dev/null 2>&1
+ }
+
+@@ -349,7 +366,7 @@
+ -e "s/src4/srcDDD/g" \
+ -e "s/src5/srcEEE/g" \
+ -e "s/src6/srcFFF/g" \
+- -e "s/src7/srcGGG/g" <<< $MASK_FILENAME)
++ -e "s/src7/srcGGG/g" <<< "$MASK_FILENAME")
+ fi
+
+ # ignore PR for src-files of firefox
+@@ -375,7 +392,7 @@
+ -e "s/rc//g" \
+ -e "s/[\._-]//g" \
+ -e "s/\+//g" \
+- -e "s/ //g" <<< $MASK_FILENAME)
++ -e "s/ //g" <<< "$MASK_FILENAME")
+ }
+
+ # create or update a config-file
+@@ -384,6 +401,7 @@
+ add_to_configfile LOCAL_MIRROR "" "set this to one or more (space separated) URI ending with '/' if you want to check one or more local mirror(s) first\n# most people just leave it empty."
+ add_to_configfile DELTUP_SERVER "http://linux01.gwdg.de/~nlissne/deltup.php" "deltup-server to use"
+ add_to_configfile FETCH "/usr/bin/wget -t 1 --passive-ftp" "command to use for downloading"
++add_to_configfile FETCHNAME "\$FETCH -O" "command to use for downloading; first parameter is the filename, second the url"
+ add_to_configfile QUEUERETRY 15 "number of seconds to wait before a queued request is retried"
+ add_to_configfile MAXIMUM_ACCEPTABLE_QUEUEPOS "15" "the maximum queuepos you would accept (if higher download full archive instead)"
+ add_to_configfile QUEUETIMEOUT 900 "when a dtu-request is queued - how long should we wait max. before downloading the original archive instead (in seconds)"
+@@ -424,21 +442,26 @@
+ add_to_donotremove "^rp-pppoe"
+
+
+-if [ -z $1 ]
++if [ -z "$1" ]
+ then
+ COLOR=true
+ echo -e "${YELLOW}getdelta.sh version ${VERSION}"
+ echo "This script has to be called like this:"
+ echo -e "${CYAN}$0 <URI>"
+ echo -e "\n${YELLOW}To use it, you should just put the following line into your /etc/make.conf"
+- echo -e "${GREEN}FETCHCOMMAND=\"$0 \\\${URI}\""
++ echo -e "${GREEN}FETCHCOMMAND=\"$0 \\\"\\\${URI}\\\" \\\"\\\${FILE}\\\"\""
+ echo -e "\n${YELLOW}There is a config-file ${CYAN}${GETDELTA_CONFIGFILE}${YELLOW} with some variables to control the behaviour of this script."
+ echo -e "Edit it to your needs.${NORMAL}"
+ exit 1
+ fi
+ # include variables from gentoo make.globals and make.conf
+-source /etc/make.globals
+-source /etc/make.conf
++if test -f /etc/make.globals
++then source /etc/make.globals
++elif test -f /usr/share/portage/config/make.globals
++then source /usr/share/portage/config/make.globals
++fi
++test -f /etc/make.conf && source /etc/make.conf
++test -f /etc/portage/make.conf && source /etc/portage/make.conf
+
+
+ if ${COLOR}
+@@ -464,9 +487,10 @@
+ output "use getdelta.sh for your FETCHCOMMAND, only." &&
+ sleep 5 && exit 1
+
+-pushd $DISTDIR >/dev/null 2>/dev/null
++pushd -- "$DISTDIR" >/dev/null 2>/dev/null
+ ORIG_URI=$1
+-NEW_FILE=$(basename $ORIG_URI)
++NEW_FILE=$2
++[ -z "${NEW_FILE}" ] && NEW_FILE=${ORIG_URI##*/}
+
+ # repoman downloads metadata.dtd with FETCHCOMMAND
+ # this should not be done with getdelta - so just fetch the file and exit
+@@ -475,7 +499,7 @@
+ # dtu files.
+ if [ "${NEW_FILE}" = "metadata.dtd" ] || [ "$GETDELTA" = "0" ]
+ then
+- $FETCH $@
++ $FETCHNAME "$NEW_FILE" "$ORIG_URI"
+ exit $?
+ fi
+
+@@ -516,7 +540,7 @@
+ #
+ output "${GREEN}Searching for a previously downloaded file in ${YELLOW}${DISTDIR}\n"
+
+-first_chars=$(sed 's/[[:digit:]][[:print:]]*$//' <<< $NEW_FILE)
++first_chars=$(sed 's/[[:digit:]][[:print:]]*$//' <<< "$NEW_FILE")
+ length_first_chars=${#first_chars}
+ [ $length_first_chars -lt 3 ] && first_chars="${NEW_FILE:0:2}"
+
+@@ -527,7 +551,7 @@
+ let len1=${#mask}
+ filelist=""
+
+-for name in $( ls ${first_chars}* 2>/dev/null )
++for name in $( ls -- "${first_chars}"* 2>/dev/null )
+ do
+ mask2=$(mask_name "${name}")
+ # add any file, that results in the same mask or differ not more than two letters
+@@ -582,7 +606,7 @@
+
+ # find matching part of filename - first: frontmatch
+ x=0;
+- a=($NEW_FILE $filelist)
++ a=("$NEW_FILE" $filelist)
+ match=""
+ while [ -z "$match" ]
+ do
+@@ -657,7 +681,7 @@
+ FILE_IS_CORRUPT=false
+ if $CHECK_OLD_FILE
+ then
+- file_digest=$(grep -h ${best_candidate} ${FILESDIR}/digest-* | sed -n 1p)
++ file_digest=$(grep -h ${best_candidate} "${FILESDIR}"/digest-* | sed -n 1p)
+ if [ "$file_digest" ]
+ then
+ file_md5=$(cut -d ' ' -f2 <<< "$file_digest")
+@@ -669,7 +693,7 @@
+ FILE_IS_CORRUPT=true
+ fi
+ else
+- if [ $(rev <<< ${best_candidate} | cut -d. -f2 | rev) = "tar" ]
++ if [ $(rev <<< "${best_candidate}" | cut -d. -f2 | rev) = "tar" ]
+ then
+ output "${YELLOW}Could not find a digest-file for ${CYAN}${best_candidate}${YELLOW}. Testing file integrity with tar.\n"
+ if ! tar -tf ${best_candidate} >/dev/null
+@@ -694,21 +718,23 @@
+ sed -e "s/ /\\n/g" | egrep "(http|ftp)://" |
+ grep "${NEW_FILE}" | tail -n 1)
+ query="?have=${best_candidate}&want=${NEW_FILE}&url=${QUERY_URL}&version=${VERSION}&time=$(date +%s)"
+- output "${GREEN}Trying to download ${YELLOW}${best_candidate}-${NEW_FILE}.dtu\n"
++ dtubase="${best_candidate}-${NEW_FILE}"
++ dtufile="${dtubase}.dtu"
++ output "${GREEN}Trying to download ${YELLOW}${dtufile}\n"
+
+ # Remember where we are, and go to a new dir there we can work
+ tmp_dwn_dest="${DISTDIR}/.getdelta-`date +%N`-tmp"
+- mkdir ${tmp_dwn_dest}
++ mkdir -- "${tmp_dwn_dest}"
+ # If user abort Ctrl+C (signal 2), remove tmp-dir; enabable trap again and send it again to stop wget
+- trap "rm -r ${tmp_dwn_dest}; trap 2; kill -2 $$" 2
+- pushd ${tmp_dwn_dest} >/dev/null 2>&1
++ trap 'rm -r -- "${tmp_dwn_dest}"; trap 2; kill -2 '$$ 2
++ pushd -- "${tmp_dwn_dest}" >/dev/null 2>&1
+
+ # thanks to MATSUI Fe2+ Tetsushi for idea and patch
+ FILESIZE=$(stat -c %s "${DISTDIR}/${best_candidate}")
+ let TIMELIMIT=${FILESIZE}/${BANDWIDTH}
+ [[ $TIMELIMIT -lt $QUEUETIMEOUT ]] && QUEUETIMEOUT=$TIMELIMIT
+
+- if $FETCH "${DELTUP_SERVER}${query}"
++ if $FETCHNAME "${dtufile}" "${DELTUP_SERVER}${query}"
+ then
+ # thanks to deelkar for this much more elegant solution to the "broken pipe" problem with "head -n1"
+ GOTFILE=$(ls -c | sed -n 1p)
+@@ -718,14 +744,14 @@
+ # may have sento to us.
+
+ # first: the request have been queued
+- if [ "${GOTFILE}" = "deltup-queued" ]
++ if [ "${GOTFILE}" = "deltup-queued" ] || ! GotFile "${GOTFILE}"
+ then
+ let QTMOUT=$(date +%s)+QUEUETIMEOUT
+- while [ -f deltup-queued ]
++ while [ -f deltup-queued ] || ! GotFile "${GOTFILE}"
+ do
+ output "${GREEN}destination file: ${CYAN}${NEW_FILE}\n"
+- output "${YELLOW}$(cat deltup-queued)"
+- QUEUEPOS=$(grep "has been queued" deltup-queued | cut -d. -f2 | cut -d")" -f1)
++ output "${YELLOW}$(cat -- "${GOTFILE}")"
++ QUEUEPOS=$(grep "has been queued" -- "${GOTFILE}" | cut -d. -f2 | cut -d")" -f1)
+ rm -f deltup-queued
+ TSTAMP=$(date +%s)
+ if ((TSTAMP<QTMOUT)) && ((QUEUEPOS<=MAXIMUM_ACCEPTABLE_QUEUEPOS))
+@@ -741,18 +767,18 @@
+ sleep 1
+ done
+ echo -n -e "${NORMAL}"
+- $FETCH "${DELTUP_SERVER}${query}"
++ $FETCHNAME "${dtufile}" "${DELTUP_SERVER}${query}"
+ GOTFILE=$(ls -c | sed -n 1p)
+ else
+ if ((TSTAMP>=QTMOUT))
+ then
+- GOTFILE="timeout"
++ GOTFILE=''
+ output "\n${RED}TIMEOUT exceeded.\n"
+ break
+ fi
+ if ((QUEUEPOS>MAXIMUM_ACCEPTABLE_QUEUEPOS))
+ then
+- GOTFILE="unacceptable"
++ GOTFILE=''
+ output "\n${RED}You have configured getdelta.sh not to accept this queue-position.\n"
+ output "${YELLOW}We are going to download the ${RED}full archive${YELLOW} instead.\n"
+ break
+@@ -761,21 +787,31 @@
+ done
+ fi
+
+- if [ -f ${best_candidate}-${NEW_FILE}.failed ]
++ [ -n "${GOTFILE}" ] && test -f "${GOTFILE}" || GOTFILE=""
++ newfile_failed="${dtubase}.failed"
++ test -f "${newfile_failed}" || newfile_failed=""
++ if [ -n "${newfile_failed}" ] || {
++ [ -n "${GOTFILE}" ] && [ "$(head -c5 -- "${GOTFILE}")" = "sorry" ]
++ }
+ then
+ output "\n${RED}The server could not build the dtu-file for ${NEW_FILE}\n"
+- output "${YELLOW}reason:\n${RED}$(cat ${best_candidate}-${NEW_FILE}.failed)\n"
+- rm -rf ${best_candidate}-${NEW_FILE}.failed
++ output "${YELLOW}reason:\n${RED}$(
++ [ -n "${newfile_failed}" ] && cat -- "${newfile_failed}"
++ [ -n "${GOTFILE}" ] && cat -- "${GOTFILE}")\n"
++ rm -f -- "${newfile_failed}" "${GOTFILE}"
+ fi
+
+- if [ -f ${best_candidate}-${NEW_FILE}.dtu ]
++ [ -n "${dtufile}" ] && test -f "${dtufile}" || dtufile=""
++ if test -f "${dtufile}"
+ then
+ output "${GREEN}Successfully fetched the dtu-file - let's build ${NEW_FILE}...\n"
+- downloadsize=$(stat -c %s ${best_candidate}-${NEW_FILE}.dtu)
+- if deltup -p -v -D ${DISTDIR} ${best_candidate}-${NEW_FILE}.dtu
++ downloadsize=$(stat -c %s -- "${dtufile}")
++ if deltup -p -v -D "${DISTDIR}" "${dtufile}"
+ then
+- newsize=$(stat -c %s ${NEW_FILE})
++ newsize=$(stat -c %s -- "${NEW_FILE}")
++ : ${newsize:=0}
+ let savedsize=${newsize}-${downloadsize}
++ [ ${newsize} -eq 0 ] && percent=-100 || \
+ let percent=${savedsize}*100/${newsize}
+ unit="bytes"
+ [ $savedsize -gt 1024 ] && let savedsize=$savedsize/1024 && unit="kB"
+@@ -791,8 +827,8 @@
+ esac
+ output "${YELLOW}This dtu-file saved ${UCOLOR}${savedsize} ${unit} (${percent}%)${YELLOW} download size.\n"
+ fi
+- mv -f ${NEW_FILE} ${DISTDIR} &&
+- ${REMOVE_OLD} && remove "${best_candidate}"
++ mv -f -- "${NEW_FILE}" "${DISTDIR}" &&
++ ${REMOVE_OLD} && remove ${best_candidate}
+ fi
+
+ fi # if $FETCH "${DELTUP_SERVER}${query}"
+@@ -812,7 +848,7 @@
+ read
+ fi
+ popd >/dev/null 2>&1
+- rm -rf ${tmp_dwn_dest}
++ rm -rf -- "${tmp_dwn_dest}"
+ #stop respond to trap2
+ trap 2
+ fi # if ! FILE_IS_CORRUPT
+@@ -824,10 +860,10 @@
+
+ # Ok, once we are here, we should have got the delta (and used it)
+ # or we still have to download the full file
+-if ! [ -f ${DISTDIR}/${NEW_FILE} ]
++if ! [ -f "${DISTDIR}/${NEW_FILE}" ]
+ then
+ output "${RED}The dtu could not be fetched,${YELLOW} downloading full file from original URL\n"
+- $FETCH $ORIG_URI
++ $FETCHNAME "$NEW_FILE" "$ORIG_URI"
+ # remember we had a fallback to use correct exitcode for portage
+ FALLBACK=$?
+ fi
diff --git a/app-portage/getdelta/getdelta-0.7.9-r2.ebuild b/app-portage/getdelta/getdelta-0.7.9-r2.ebuild
new file mode 100644
index 00000000..d36a85c5
--- /dev/null
+++ b/app-portage/getdelta/getdelta-0.7.9-r2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils readme.gentoo
+
+DESCRIPTION="dynamic deltup client"
+HOMEPAGE="http://linux01.gwdg.de/~nlissne/"
+SRC_URI="http://linux01.gwdg.de/~nlissne/${PN}-0.7.8.tar.bz2"
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~sparc ~x86"
+S="${WORKDIR}"
+
+RDEPEND="app-portage/deltup
+ dev-util/bdelta"
+
+DISABLE_AUTOFORMATTING="true"
+DOC_CONTENTS="You need to put
+FETCHCOMMAND=\"/usr/bin/getdelta.sh \\\"\\\${URI}\\\" \\\"\\\${FILE}\\\"\"
+into your /etc/make.conf to make use of getdelta"
+
+src_prepare() {
+ epatch "${FILESDIR}/eapi2.patch"
+ sed -i -e "s:/bin/sh:/bin/bash:" getdelta.sh || die
+ epatch_user
+}
+
+src_install() {
+ dobin "${WORKDIR}"/getdelta.sh
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ local a b
+ # make sure permissions are ok
+ a="${EROOT}"/var/log/getdelta.log
+ b="${EROOT}"/etc/deltup
+ test -f "${a}" || touch -- "${a}"
+ mkdir -p -- "${b}"
+ use prefix || chown -R portage:portage -- "${a}" "${b}"
+ chmod -R ug+rwX -- "${a}" "${b}"
+ readme.gentoo_pkg_postinst
+}
diff --git a/app-portage/getdelta/metadata.xml b/app-portage/getdelta/metadata.xml
new file mode 100644
index 00000000..cd5e732e
--- /dev/null
+++ b/app-portage/getdelta/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ <description>maintainer of the updates in the mv overlay</description>
+ </maintainer>
+ <maintainer>
+ <email>patrick@gentoo.org</email>
+ <name>Patrick Lauer</name>
+ </maintainer>
+ <maintainer>
+ <email>nlissne@linux01.gwdg.de</email>
+ <name>Nicolai Lissner</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/app-portage/logclean/Manifest b/app-portage/logclean/Manifest
new file mode 100644
index 00000000..4b108640
--- /dev/null
+++ b/app-portage/logclean/Manifest
@@ -0,0 +1 @@
+DIST logclean-9.8.tar.gz 11335 SHA256 2c37a4edceb97a828afbb179bb109ecc905531400bb6a2cd38f9fa109d708628 SHA512 1c9dc6d458be711cb5c37ccfd13c0584b1499365111a4cd0bee171bbe12b9bf7eeab55d8f9a7caf22cdb9d5b2e6a49855ac9097577cca35533bc7ef38f09312a WHIRLPOOL 40d6a5d072720b5335802a67c1b1f441da414ed0e1dc9939604f65110fc8a1680b51348e2b4cb6f70ad11488fa220f12c0e0350a7a331b2475250d43f822385f
diff --git a/app-portage/logclean/logclean-9.8-r1.ebuild b/app-portage/logclean/logclean-9.8-r1.ebuild
new file mode 100644
index 00000000..e04173b4
--- /dev/null
+++ b/app-portage/logclean/logclean-9.8-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+RESTRICT="mirror"
+inherit eutils
+
+DESCRIPTION="Keep only (compressed) logs of installed packages and cleanup emerge.log"
+HOMEPAGE="https://github.com/vaeth/logclean/"
+SRC_URI="https://github.com/vaeth/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-lang/perl
+ || ( >=dev-lang/perl-5.14 virtual/perl-Term-ANSIColor )
+ || ( >=dev-lang/perl-5.6.1 >=virtual/perl-Getopt-Long-2.24 )"
+
+src_prepare() {
+ use prefix || sed -i \
+ -e '1s"^#!/usr/bin/env perl$"#!'"${EPREFIX}/usr/bin/perl"'"' \
+ -- "${PN}" || die
+ epatch_user
+}
+
+src_install() {
+ dobin "${PN}"
+ insinto /etc
+ doins "${PN}.conf"
+ insinto /usr/share/zsh/site-functions
+ doins "_${PN}"
+}
+
+pkg_postinst() {
+ optfeature "faster execution" 'app-portage/eix'
+}
diff --git a/app-portage/logclean/metadata.xml b/app-portage/logclean/metadata.xml
new file mode 100644
index 00000000..7d030fd7
--- /dev/null
+++ b/app-portage/logclean/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <bugs-to>mailto:martin@mvath.de</bugs-to>
+ <remote-id type="github">vaeth/logclean</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-portage/portage-bashrc-mv/Manifest b/app-portage/portage-bashrc-mv/Manifest
new file mode 100644
index 00000000..bea7a509
--- /dev/null
+++ b/app-portage/portage-bashrc-mv/Manifest
@@ -0,0 +1 @@
+DIST portage-bashrc-mv-13.6.tar.gz 13566 SHA256 73971b99567b292c9d00612959c73f0241ee42fc2d7689b8f6926aa8d4f0121b SHA512 19fc82395e804c708b08e130a2fe8ee896fa9c6fe44ccdeb6dc15bfcabc311a0aac8c18554d13e14172c54a0805c37d36bdd68490d9a93e11f082b49fab2b192 WHIRLPOOL 2c26b743725e4bcd1fa4ed50e635ee60c3464bc4ed670859d7ecd79730deb5227d16ab47a24105d1f78011e7e700e6a8cb49bdac12afb825e245a61302adcabe
diff --git a/app-portage/portage-bashrc-mv/metadata.xml b/app-portage/portage-bashrc-mv/metadata.xml
new file mode 100644
index 00000000..cb260f08
--- /dev/null
+++ b/app-portage/portage-bashrc-mv/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <bugs-to>mailto:martin@mvath.de</bugs-to>
+ <remote-id type="github">vaeth/portage-bashrc-mv</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-portage/portage-bashrc-mv/portage-bashrc-mv-13.6.ebuild b/app-portage/portage-bashrc-mv/portage-bashrc-mv-13.6.ebuild
new file mode 100644
index 00000000..a112f8df
--- /dev/null
+++ b/app-portage/portage-bashrc-mv/portage-bashrc-mv-13.6.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+RESTRICT="mirror"
+inherit eutils
+
+DESCRIPTION="Provide support for /etc/portage/bashrc.d and /etc/portage/package.cflags"
+HOMEPAGE="https://github.com/vaeth/portage-bashrc-mv/"
+SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RDEPEND="!<dev-util/ccache-3.2"
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ dodoc NEWS README
+ exeinto "/usr/share/doc/${PF}"
+ doexe fix-portage-2.2.15
+ docompress -x "/usr/share/doc/${PF}/fix-portage-2.2.15"
+ insinto /etc/portage
+ doins -r bashrc bashrc.d
+ docompress /etc/portage/bashrc.d/README
+}
+
+pkg_postinst() {
+ case ${REPLACING_VERSIONS} in
+ [0-9].*|1[0-2].*)
+ ewarn "Remember to run /usr/share/doc/${PF}/fix-portage-2.2.15"
+ ewarn "as the first command after upgrading to >=portage-2.2.15"
+ ewarn "See NEWS for details";;
+ esac
+ optfeature "improved mask handling" app-portage/eix
+ optfeature "output of expected emerge time" app-portage/portage-utils
+ optfeature "detailed information output in title bar" app-shells/runtitle
+ ! test -d /var/cache/gpo || \
+ ewarn "Obsolete /var/cache/gpo found. Please remove"
+}
diff --git a/app-portage/trickyfetch/Manifest b/app-portage/trickyfetch/Manifest
new file mode 100644
index 00000000..47df5fc8
--- /dev/null
+++ b/app-portage/trickyfetch/Manifest
@@ -0,0 +1 @@
+DIST trickyfetch-8.7.tar.gz 10933 SHA256 d830b83a10fd70ce0718c384b10cfd07a742abbd3b3ae44afabf8c3c6f6a4753 SHA512 81401826f1fe3523aec247980b6631e07b48edb94d628a9154a16a309f237ed695ff394f735b4f6587d51478197b1e8b120156dc214146f2f9abd41fcd308c03 WHIRLPOOL 8a81d7921e6c55ca8e2f134bdd52cd24958e79020dfae881b11b601bbb1c00b887b6474910b158d728f3902efaa84dc7f128d2dac84fcf9eec5ce0910c1dd519
diff --git a/app-portage/trickyfetch/metadata.xml b/app-portage/trickyfetch/metadata.xml
new file mode 100644
index 00000000..379e730b
--- /dev/null
+++ b/app-portage/trickyfetch/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <bugs-to>mailto:martin@mvath.de</bugs-to>
+ <remote-id type="github">vaeth/trickyfetch</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-portage/trickyfetch/trickyfetch-8.7.ebuild b/app-portage/trickyfetch/trickyfetch-8.7.ebuild
new file mode 100644
index 00000000..1a58aab1
--- /dev/null
+++ b/app-portage/trickyfetch/trickyfetch-8.7.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+RESTRICT="mirror"
+inherit eutils
+
+DESCRIPTION="Plugin for FETCHCOMMAND to help organize and cleanup your DISTDIR"
+HOMEPAGE="https://github.com/vaeth/trickyfetch/"
+SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+src_prepare() {
+ if use prefix
+ then sed -i \
+ -e "s'\\(PATH=.\\)/etc'\\1${EPREFIX}/etc'" \
+ -- "${S}/bin/trickyfetch" || die
+ else sed -i \
+ -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}/bin/sh"'"' \
+ -- "${S}"/bin/* || die
+ fi
+ epatch_user
+}
+
+src_install() {
+ dobin bin/*
+ insinto /etc
+ doins etc/*
+ insinto /usr/share/zsh/site-functions
+ doins zsh/_*
+ dodoc README
+}
+
+pkg_postinst() {
+ case " ${REPLACING_VERSIONS:-0.}" in
+ ' '[0-7].*)
+ elog "Please adapt /etc/trickyfetch.conf to your needs";;
+ esac
+ optfeature "faster execution" 'app-portage/eix'
+}
diff --git a/app-portage/useflags/Manifest b/app-portage/useflags/Manifest
new file mode 100644
index 00000000..83f6e133
--- /dev/null
+++ b/app-portage/useflags/Manifest
@@ -0,0 +1 @@
+DIST useflags-3.4.tar.gz 5328 SHA256 d12577f0ba6d5e8853c1e4bdb9589f903de09da5bb249b54a4452062ed25f921 SHA512 1a9e392f83eade3d0a2dd86765fe0289a740aa9d5ec633a857c753778bd3223feb8f2ca1dc623b6109bbef71072087f8068565c90224a3d17a84657de85f26e8 WHIRLPOOL 4087460721cb108eb4ea5f364cc7f5697511d5187fe6bb77d3a6a5ac783b92ec09c07d87e12c79948eee1a7d91ae7aebb8ab575ea507bd2f2b43b05367ad60fd
diff --git a/app-portage/useflags/metadata.xml b/app-portage/useflags/metadata.xml
new file mode 100644
index 00000000..4e3965d1
--- /dev/null
+++ b/app-portage/useflags/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <bugs-to>mailto:martin@mvath.de</bugs-to>
+ <remote-id type="github">vaeth/useflags</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-portage/useflags/useflags-3.4.ebuild b/app-portage/useflags/useflags-3.4.ebuild
new file mode 100644
index 00000000..2d4a2bf7
--- /dev/null
+++ b/app-portage/useflags/useflags-3.4.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+RESTRICT="mirror"
+inherit eutils
+
+DESCRIPTION="Print or save the current USE-flag state and compare with older versions"
+HOMEPAGE="https://github.com/vaeth/useflags/"
+SRC_URI="https://github.com/vaeth/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-lang/perl
+ || ( >=dev-lang/perl-5.6.1 >=virtual/perl-Getopt-Long-2.24 )"
+
+src_prepare() {
+ use prefix || sed -i \
+ -e '1s"^#!/usr/bin/env perl$"#!'"${EPREFIX}/usr/bin/perl"'"' \
+ -- "${PN}" || die
+ epatch_user
+}
+
+src_install() {
+ dobin "${PN}"
+ insinto /usr/share/zsh/site-functions
+ doins "_${PN}"
+}
+
+pkg_postinst() {
+ optfeature "faster execution" 'app-portage/eix'
+ optfeature "increased security" '>=app-portage/eix-0.27.7'
+}
diff --git a/app-portage/world-mv/Manifest b/app-portage/world-mv/Manifest
new file mode 100644
index 00000000..25e8b273
--- /dev/null
+++ b/app-portage/world-mv/Manifest
@@ -0,0 +1 @@
+DIST world-mv-3.14.tar.gz 3480 SHA256 e81e5ffaf6f4d9403e2b87d4fb55ea298e4b0cda1e05ae3e6d1edc7396d894f1 SHA512 8350c1f2f5213ceac326e41c1652708317e510b4ff007a7a0e35af112307d7978491c3eaf518df6d35e28f699e13a31079a666340e5ef663b20cc53400cbaf98 WHIRLPOOL 2ca466368424fc72c7657146de8bb9137754a329a29648297e3fa2b2e6773cbd1a7618196b564c095cbb4930caa8b38e27c2b6b60b1ee60cd7f8d27a312bb8cc
diff --git a/app-portage/world-mv/metadata.xml b/app-portage/world-mv/metadata.xml
new file mode 100644
index 00000000..8ba273b2
--- /dev/null
+++ b/app-portage/world-mv/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <bugs-to>mailto:martin@mvath.de</bugs-to>
+ <remote-id type="github">vaeth/world</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-portage/world-mv/world-mv-3.14.ebuild b/app-portage/world-mv/world-mv-3.14.ebuild
new file mode 100644
index 00000000..d1eff415
--- /dev/null
+++ b/app-portage/world-mv/world-mv-3.14.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+RESTRICT="mirror"
+inherit eutils
+
+mPN="${PN%-*}"
+DESCRIPTION="Organize your world file and find installed packages or differences to @world"
+HOMEPAGE="https://github.com/vaeth/world/"
+SRC_URI="https://github.com/vaeth/${mPN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${mPN}-${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+S="${WORKDIR}/${mPN}-${PV}"
+
+src_prepare() {
+ if use prefix
+ then sed -i \
+ -e "s'\${EPREFIX}'\\'${EPREFIX}\\''" \
+ -- "${mPN}" || die
+ else sed -i \
+ -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}/bin/sh"'"' \
+ -- "${mPN}" || die
+ fi
+ epatch_user
+}
+
+src_install() {
+ dobin "${mPN}"
+ insinto /usr/share/zsh/site-functions
+ doins _"${mPN}"
+}